using System;
using System.Collections;
//using System.Data.SqlClient;
using System.Text;
using System.IO;

// Filename: KSTest.cs
// Author:Yan Kvitko
// Date:01/2005

namespace MarketData.Numerical
{
	[Serializable]
	public class KSTest
	{
		private int h;
		private double pValue;
		private double ksStat;
		private double criticalValue;
		  
		public KSTest()
		{
		}
		public KSTest(int h, double pValue, double ksStat, double criticalValue)
		{
			this.h=h;
			this.pValue=pValue;
			this.ksStat=ksStat;
			this.criticalValue=criticalValue;
		}
		public int H
		{
			get{return h;}
			set{h=value;}
		}
		public double PValue
		{
			get{return pValue;}
			set{pValue=value;}
		}
		public double KSStat
		{
			get{return ksStat;}
			set{ksStat=value;}
		}
		public double CriticalValue
		{
			get{return criticalValue;}
			set{criticalValue=value;}
		}
	}
}
